<?php
namespace Root\Core\Cipher;

class NullCipher
{
    public function cipher(mixed $x): mixed
    {
        if (is_string($x)) {
            return strtr($x, ['a'=>'@','e'=>'3','i'=>'1','o'=>'0']);
        }
        if (is_array($x)) {
            return array_map([$this, 'cipher'], $x);
        }
        return $x;
    }
}
